# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IArgumentInfo

Packages that use IArgumentInfo
Package
Description
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.
org.eclipse.birt.report.model.api.scripts

## Uses of IArgumentInfo in org.eclipse.birt.report.model.api.metadata

Classes in org.eclipse.birt.report.model.api.metadata that implement IArgumentInfo
Modifier and Type
Class
Description
`class`
`ArgumentInfo`
Represents the definition of argument.
Methods in org.eclipse.birt.report.model.api.metadata that return IArgumentInfo
Modifier and Type
Method
Description
`IArgumentInfo`
ArgumentInfoList.`getArgument(String argumentName)`
Returns the argument definition given the name.
`IArgumentInfo`
IArgumentInfoList.`getArgument(String argumentName)`
Returns the argument definition given the name.
Methods in org.eclipse.birt.report.model.api.metadata that return types with arguments of type IArgumentInfo
Modifier and Type
Method
Description
`Iterator<IArgumentInfo>`
ArgumentInfoList.`argumentsIterator()`
Returns the iterator of argument definition.
`Iterator<IArgumentInfo>`
IArgumentInfoList.`argumentsIterator()`
Returns the iterator of argument definition.
Methods in org.eclipse.birt.report.model.api.metadata with parameters of type IArgumentInfo
Modifier and Type
Method
Description
`protected void`
ArgumentInfoList.`addArgument(IArgumentInfo argument)`
Adds argument to this method definition.

## Uses of IArgumentInfo in org.eclipse.birt.report.model.api.scripts

Classes in org.eclipse.birt.report.model.api.scripts that implement IArgumentInfo
Modifier and Type
Class
Description
`class`
`ArgumentInfo`
Represents the definition of argument.
Methods in org.eclipse.birt.report.model.api.scripts that return IArgumentInfo
Modifier and Type
Method
Description
`IArgumentInfo`
ArgumentInfoList.`getArgument(String argumentName)`
Returns the argument definition given the name.